function onTalk()
    if not getFlag("tofuBarrierEdges") then
        celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("barrierSwitch"):PlayAnimation("activate")
        setFlag("tofuBarrierEdges", true)
        playSound("event:/Kataiser/nelumbo_fire_on")
    else
        celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("barrierSwitch"):PlayAnimation("deactivate")
        setFlag("tofuBarrierEdges", false)
        playSound("event:/Kataiser/nelumbo_fire_off")
    end
end
